xhci_pci module not workable regression

Bug #1780219 reported by andrew glaeser on 2018-07-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This is a follow-up to this installation-report at Debian:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=902870
I am using Xubuntu-Mate, installed from Ubuntu-MAte 18.04-LTS
This is a regression, because the Renesas-USB3-pcie adapter was fully workable with linux 4.9, but the current testing-version 4.16 disbled the interface-adapter.
On the web there were some hints about some people with resume-problems with their hibernated notebooks because of this kernel-module, that is was thus disabled.
From my perspective this is an ugly hack, because hibernation/suspend and resume are less issues on desktop-PCs, mostly it is just not neccessary to hibernate them at all, especially in the case of problems, and just disabling the kernel-module for the general public is bad because the renesas-adaptors are quite low-cost and quite common, too.

I am now using compressed asymmetric BTRFS-RAID over harddisk and USB2, it works well enough given, that this is a computer about 10 years old, although USB3 would be even nicer.

user@OptiPlex-580:~$ lsb_release -rd
Description: Ubuntu 18.04 LTS
Release: 18.04

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-23-generic 4.15.0-23.25
ProcVersionSignature: Ubuntu 4.15.0-23.25-generic 4.15.18
Uname: Linux 4.15.0-23-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/controlC0', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Date: Thu Jul 5 10:35:14 2018
HibernationDevice: RESUME=UUID=79fae6ed-a4e0-4d34-b8dd-192683aca24c
InstallationDate: Installed on 2018-07-04 (1 days ago)
InstallationMedia: Ubuntu-MATE 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
IwConfig:
 enp3s0 no wireless extensions.

 lo no wireless extensions.
MachineType: Dell Inc. OptiPlex 580
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-23-generic root=UUID=11ce9123-025c-4420-ba85-dee2799c0a2f ro rootflags=subvol=@ quiet splash vt.handoff=1
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-23-generic N/A
 linux-backports-modules-4.15.0-23-generic N/A
 linux-firmware 1.173.1
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/16/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0YKH50
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd06/16/2011:svnDellInc.:pnOptiPlex580:pvrNotSpecified:rvnDellInc.:rn0YKH50:rvrA01:cvnDellInc.:ct3:cvrNotSpecified:
dmi.product.name: OptiPlex 580
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

andrew glaeser (glaesera) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc3

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
andrew glaeser (glaesera) wrote :
Download full text (4.3 KiB)

Last login: Thu Jul 5 11:16:37 2018 from 192.168.0.58
user@OptiPlex-580:~$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc3/linux-image-unsigned-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb
--2018-07-06 07:50:20-- http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc3/linux-image-unsigned-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb
Resolving kernel.ubuntu.com (kernel.ubuntu.com)... 91.189.94.216
Connecting to kernel.ubuntu.com (kernel.ubuntu.com)|91.189.94.216|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 8124800 (7,7M) [application/x-debian-package]
Saving to: ‘linux-image-unsigned-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb’

linux-image-unsigned- 100%[=========================>] 7,75M 5,04MB/s in 1,5s

2018-07-06 07:50:22 (5,04 MB/s) - ‘linux-image-unsigned-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb’ saved [8124800/8124800]

user@OptiPlex-580:~$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc3/linux-modules-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb
--2018-07-06 07:51:08-- http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18-rc3/linux-modules-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb
Resolving kernel.ubuntu.com (kernel.ubuntu.com)... 91.189.94.216
Connecting to kernel.ubuntu.com (kernel.ubuntu.com)|91.189.94.216|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 44567496 (43M) [application/x-debian-package]
Saving to: ‘linux-modules-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb’

linux-modules-4.18.0- 100%[=========================>] 42,50M 4,11MB/s in 7,2s

2018-07-06 07:51:15 (5,94 MB/s) - ‘linux-modules-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb’ saved [44567496/44567496]

user@OptiPlex-580:~$ sudo dpkg -i *.deb
[sudo] password for user:
Selecting previously unselected package linux-image-unsigned-4.18.0-041800rc3-generic.
(Reading database ... 233689 files and directories currently installed.)
Preparing to unpack linux-image-unsigned-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb ...
Unpacking linux-image-unsigned-4.18.0-041800rc3-generic (4.18.0-041800rc3.201807012030) ...
Selecting previously unselected package linux-modules-4.18.0-041800rc3-generic.
Preparing to unpack linux-modules-4.18.0-041800rc3-generic_4.18.0-041800rc3.201807012030_amd64.deb ...
Unpacking linux-modules-4.18.0-041800rc3-generic (4.18.0-041800rc3.201807012030) ...
Setting up linux-modules-4.18.0-041800rc3-generic (4....

Read more...

andrew glaeser (glaesera) wrote :
Download full text (65.3 KiB)

Last login: Fri Jul 6 07:49:13 2018 from 192.168.0.58
user@OptiPlex-580:~$ uname -a
Linux OptiPlex-580 4.18.0-041800rc3-generic #201807012030 SMP Mon Jul 2 00:33:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
user@OptiPlex-580:~$ dmesg
[ 0.000000] Linux version 4.18.0-041800rc3-generic (kernel@tangerine) (gcc version 7.3.0 (Ubuntu 7.3.0-24ubuntu1)) #201807012030 SMP Mon Jul 2 00:33:15 UTC 2018
[ 0.000000] Command line: BOOT_IMAGE=/vmlinuz-4.18.0-041800rc3-generic root=UUID=11ce9123-025c-4420-ba85-dee2799c0a2f ro rootflags=subvol=@ quiet splash vt.handoff=1
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: x87 FPU will use FXSAVE
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x00000000000997ff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000000099800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e6000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000cfd4ffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000cfd50000-0x00000000cfd5dfff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000cfd5e000-0x00000000cfda7fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000cfda8000-0x00000000cfddffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000cfdec000-0x00000000cfefffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fff00000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000011fffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.6 present.
[ 0.000000] DMI: Dell Inc. OptiPlex 580/0YKH50, BIOS A05 06/16/2011
[ 0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[ 0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.000000] AGP: No AGP bridge found
[ 0.000000] last_pfn = 0x120000 max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-EFFFF uncachable
[ 0.000000] F0000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 000000000000 mask FFFF80000000 write-back
[ 0.000000] 1 base 000080000000 mask FFFFC0000000 write-back
[ 0.000000] 2 base 0000C0000000 mask FFFFF0000000 write-back
[ 0.000000] 3 disabled
[ 0.000000] 4 disabled
[ 0.000000] 5 disabled
[ 0.000000] 6 disabled
[ 0.000000] 7 disabled
[ 0.000000] TOM2: 0000000130000000 aka 4864M
[ 0.000000] x86/PAT: Configuration [0-7]: WB WC UC- UC WB WP UC- WT
[ 0.000000] e820: update [mem 0xd0000000-0xffffffff] usable ==> reserved
[ 0.000000] last_pfn = 0xcfd50 max_arch_pfn = 0x400000000
[ 0.000000] found SMP MP-table at [mem 0x000ff780-0x000ff78f] mapped at [(____ptrval____)]
[ 0.000000] Scanning 1 areas for low memory corruption
[ 0.000000] Base memory trampoline at [(____ptrval____)] 93000 size 24576
[ 0.000000] Using GB pages for direct mapping
[ 0.000000] BRK [0x0815a000, 0x0815afff] PGTABLE
[ 0.000000] BRK [...

tags: added: kernel-fixed-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers